## code 1.60.1

=== debian/changelog ===
code (1.60.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Tue, 14 Sep 2021 21:21:30 +0200
