## code check-0.1.0

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = code_analysis
+SPHINXPROJ    = code_check
 SOURCEDIR     = .
 BUILDDIR      = _build
