## code data-0.1.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --allow-unsafe --annotation-style=line --extra=test,docs,dev,rich pyproject.toml
#
alabaster==0.7.12         # via sphinx
anyio==3.6.1              # via jupyter-server
argon2-cffi==21.3.0       # via jupyter-server, notebook
argon2-cffi-bindings==21.2.0  # via argon2-cffi
attrs==21.4.0             # via hypothesis, jsonschema, jupyter-cache, markdown-it-py, pytest, sphinx-external-toc
babel==2.10.3             # via sphinx
backcall==0.2.0           # via ipython
beautifulsoup4==4.11.1    # via nbconvert, pydata-sphinx-theme
black==22.6.0             # via code_data (pyproject.toml)
bleach==5.0.1             # via nbconvert
certifi==2022.6.15        # via requests
cffi==1.15.1              # via argon2-cffi-bindings
cfgv==3.3.1               # via pre-commit
charset-normalizer==2.1.0  # via requests
click==8.1.3              # via black, jupyter-book, sphinx-external-toc
colorama==0.4.5           # via nbdime
commonmark==0.9.1         # via rich
debugpy==1.6.0            # via ipykernel
decorator==5.1.1          # via ipython
defusedxml==0.7.1         # via nbconvert
distlib==0.3.4            # via virtualenv
docutils==0.17.1          # via jupyter-book, myst-nb, myst-parser, pybtex-docutils, pydata-sphinx-theme, sphinx, sphinx-togglebutton, sphinxcontrib-bibtex
entrypoints==0.4          # via jupyter-client, nbconvert
exceptiongroup==1.0.0rc8  # via hypothesis
execnet==1.9.0            # via pytest-xdist
fastjsonschema==2.15.3    # via code_data (pyproject.toml), nbformat
filelock==3.7.1           # via virtualenv
flake8==4.0.1             # via code_data (pyproject.toml)
gitdb==4.0.9              # via gitpython
gitpython==3.1.27         # via nbdime
greenlet==1.1.2           # via sqlalchemy
hypothesis==6.48.2        # via hypothesmith
hypothesmith==0.2.0       # via code_data (pyproject.toml)
identify==2.5.1           # via pre-commit
idna==3.3                 # via anyio, requests
imagesize==1.4.1          # via sphinx
importlib-metadata==4.2.0  # via myst-nb
iniconfig==1.1.1          # via pytest
ipykernel==6.15.0         # via ipywidgets, notebook
ipython==7.34.0           # via ipykernel, ipywidgets, jupyter-sphinx, myst-nb
ipython-genutils==0.2.0   # via ipywidgets, notebook
ipywidgets==7.7.1         # via jupyter-sphinx, myst-nb
isort==5.10.1             # via code_data (pyproject.toml)
jedi==0.18.1              # via ipython
jinja2==3.1.2             # via jupyter-book, jupyter-server, myst-parser, nbconvert, nbdime, notebook, sphinx
jsonschema==3.2.0         # via jupyter-book, nbformat
jupyter-book==0.13.0      # via code_data (pyproject.toml)
jupyter-cache==0.4.3      # via myst-nb
jupyter-client==7.3.4     # via ipykernel, jupyter-server, nbclient, notebook
jupyter-core==4.10.0      # via jupyter-client, jupyter-server, nbconvert, nbformat, notebook
jupyter-server==1.18.0    # via jupyter-server-mathjax, nbdime
jupyter-server-mathjax==0.2.5  # via nbdime
jupyter-sphinx==0.3.2     # via myst-nb
jupyterlab-pygments==0.2.2  # via nbconvert
jupyterlab-widgets==1.1.1  # via ipywidgets
lark-parser==0.12.0       # via hypothesmith
latexcodec==2.0.1         # via pybtex
libcst==0.4.5             # via hypothesmith
linkify-it-py==1.0.3      # via jupyter-book
markdown-it-py==1.1.0     # via mdit-py-plugins, myst-parser
markupsafe==2.1.1         # via jinja2, nbconvert
matplotlib-inline==0.1.3  # via ipykernel, ipython
mccabe==0.6.1             # via flake8
mdit-py-plugins==0.2.8    # via myst-parser
mistune==0.8.4            # via nbconvert
mypy==0.961               # via code_data (pyproject.toml)
mypy-extensions==0.4.3    # via black, mypy, typing-inspect
myst-nb==0.13.2           # via jupyter-book
myst-parser==0.15.2       # via myst-nb
nbclient==0.5.13          # via jupyter-cache, nbconvert
nbconvert==6.5.0          # via jupyter-server, jupyter-sphinx, myst-nb, notebook
nbdime==3.1.1             # via jupyter-cache
nbformat==5.4.0           # via jupyter-cache, jupyter-server, jupyter-sphinx, myst-nb, nbclient, nbconvert, nbdime, notebook
nest-asyncio==1.5.5       # via ipykernel, jupyter-client, nbclient, notebook
nodeenv==1.7.0            # via pre-commit
notebook==6.4.12          # via widgetsnbextension
orjson==3.7.8             # via code_data (pyproject.toml)
packaging==21.3           # via ipykernel, jupyter-server, nbconvert, pydata-sphinx-theme, pytest, sphinx
pandocfilters==1.5.0      # via nbconvert
parso==0.8.3              # via jedi
pathspec==0.9.0           # via black
pexpect==4.8.0            # via ipython
pickleshare==0.7.5        # via ipython
platformdirs==2.5.2       # via black, virtualenv
pluggy==1.0.0             # via pytest
pre-commit==2.19.0        # via code_data (pyproject.toml)
prometheus-client==0.14.1  # via jupyter-server, notebook
prompt-toolkit==3.0.30    # via ipython
psutil==5.9.1             # via ipykernel, pytest-xdist
ptyprocess==0.7.0         # via pexpect, terminado
py==1.11.0                # via pytest, pytest-forked
pybtex==0.24.0            # via pybtex-docutils, sphinxcontrib-bibtex
pybtex-docutils==1.0.2    # via sphinxcontrib-bibtex
pycodestyle==2.8.0        # via flake8
pycparser==2.21           # via cffi
pydata-sphinx-theme==0.8.1  # via sphinx-book-theme
pyflakes==2.4.0           # via flake8
pygments==2.12.0          # via ipython, nbconvert, nbdime, rich, sphinx
pyparsing==3.0.9          # via packaging
pyrsistent==0.18.1        # via jsonschema
pytest==7.1.2             # via code_data (pyproject.toml), pytest-forked, pytest-xdist
pytest-forked==1.4.0      # via pytest-xdist
pytest-xdist[psutil]==2.5.0  # via code_data (pyproject.toml)
python-dateutil==2.8.2    # via jupyter-client
pytz==2022.1              # via babel
pyyaml==6.0               # via jupyter-book, libcst, myst-nb, myst-parser, pre-commit, pybtex, sphinx-book-theme, sphinx-external-toc
pyzmq==23.2.0             # via ipykernel, jupyter-client, jupyter-server, notebook
requests==2.28.1          # via nbdime, sphinx
rich==12.4.4              # via code_data (pyproject.toml)
send2trash==1.8.0         # via jupyter-server, notebook
six==1.16.0               # via bleach, jsonschema, latexcodec, pybtex, python-dateutil, virtualenv
smmap==5.0.0              # via gitdb
sniffio==1.2.0            # via anyio
snowballstemmer==2.2.0    # via sphinx
sortedcontainers==2.4.0   # via hypothesis
soupsieve==2.3.2.post1    # via beautifulsoup4
sphinx==4.5.0             # via jupyter-book, jupyter-sphinx, myst-nb, myst-parser, pydata-sphinx-theme, sphinx-book-theme, sphinx-comments, sphinx-copybutton, sphinx-design, sphinx-external-toc, sphinx-jupyterbook-latex, sphinx-multitoc-numbering, sphinx-thebe, sphinx-togglebutton, sphinxcontrib-bibtex
sphinx-book-theme==0.3.2  # via jupyter-book
sphinx-comments==0.0.3    # via jupyter-book
sphinx-copybutton==0.5.0  # via jupyter-book
sphinx-design==0.1.0      # via jupyter-book
sphinx-external-toc==0.2.4  # via jupyter-book
sphinx-jupyterbook-latex==0.4.6  # via jupyter-book
sphinx-multitoc-numbering==0.1.3  # via jupyter-book
sphinx-thebe==0.1.2       # via jupyter-book
sphinx-togglebutton==0.3.1  # via jupyter-book, myst-nb
sphinxcontrib-applehelp==1.0.2  # via sphinx
sphinxcontrib-bibtex==2.4.2  # via jupyter-book
sphinxcontrib-devhelp==1.0.2  # via sphinx
sphinxcontrib-htmlhelp==2.0.0  # via sphinx
sphinxcontrib-jsmath==1.0.1  # via sphinx
sphinxcontrib-qthelp==1.0.3  # via sphinx
sphinxcontrib-serializinghtml==1.1.5  # via sphinx
sqlalchemy==1.4.39        # via jupyter-cache
terminado==0.15.0         # via jupyter-server, notebook
tinycss2==1.1.1           # via nbconvert
toml==0.10.2              # via pre-commit
tomli==2.0.1              # via black, mypy, pytest
tornado==6.1              # via ipykernel, jupyter-client, jupyter-server, nbdime, notebook, terminado
traitlets==5.3.0          # via ipykernel, ipython, ipywidgets, jupyter-client, jupyter-core, jupyter-server, matplotlib-inline, nbclient, nbconvert, nbformat, notebook
typing-extensions==4.3.0  # via libcst, mypy, typing-inspect
typing-inspect==0.7.1     # via libcst
uc-micro-py==1.0.1        # via linkify-it-py
urllib3==1.26.9           # via requests
virtualenv==20.15.1       # via pre-commit
wcwidth==0.2.5            # via prompt-toolkit
webencodings==0.5.1       # via bleach, tinycss2
websocket-client==1.3.3   # via jupyter-server
wheel==0.37.1             # via sphinx-togglebutton
widgetsnbextension==3.6.1  # via ipywidgets
zipp==3.8.0               # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
setuptools==62.6.0        # via ipython, jsonschema, nodeenv, sphinx-togglebutton
