=== binder/requirements.txt ===
-e .[rich]
