## code data-0.2.0

=== requirements.txt ===
--- 
+++ 
@@ -63,6 +63,7 @@
 latexcodec==2.0.1         # via pybtex
 libcst==0.4.5             # via hypothesmith
 linkify-it-py==1.0.3      # via jupyter-book
+lxml==4.9.1               # via nbconvert
 markdown-it-py==1.1.0     # via mdit-py-plugins, myst-parser
 markupsafe==2.1.1         # via jinja2, nbconvert
 matplotlib-inline==0.1.3  # via ipykernel, ipython
@@ -74,7 +75,7 @@
 myst-nb==0.13.2           # via jupyter-book
 myst-parser==0.15.2       # via myst-nb
 nbclient==0.5.13          # via jupyter-cache, nbconvert
-nbconvert==6.5.0          # via jupyter-server, jupyter-sphinx, myst-nb, notebook
+nbconvert==6.5.1          # via jupyter-server, jupyter-sphinx, myst-nb, notebook
 nbdime==3.1.1             # via jupyter-cache
 nbformat==5.4.0           # via jupyter-cache, jupyter-server, jupyter-sphinx, myst-nb, nbclient, nbconvert, nbdime, notebook
 nest-asyncio==1.5.5       # via ipykernel, jupyter-client, nbclient, notebook
@@ -144,7 +145,7 @@
 tomli==2.0.1              # via black, mypy, pytest
 tornado==6.1              # via ipykernel, jupyter-client, jupyter-server, nbdime, notebook, terminado
 traitlets==5.3.0          # via ipykernel, ipython, ipywidgets, jupyter-client, jupyter-core, jupyter-server, matplotlib-inline, nbclient, nbconvert, nbformat, notebook
-typing-extensions==4.3.0  # via libcst, mypy, typing-inspect
+typing-extensions==4.3.0  # via code_data (pyproject.toml), libcst, mypy, typing-inspect
 typing-inspect==0.7.1     # via libcst
 uc-micro-py==1.0.1        # via linkify-it-py
 urllib3==1.26.9           # via requests
