## code discovery-0.1.4

=== requirements.txt ===
# Core dependencies
pyyaml>=6.0.1
requests>=2.31.0
python-dotenv>=1.0.0

# Code parsing and AST analysis
astroid>=3.0.0
javalang>=0.13.0
tree-sitter>=0.20.4
tree-sitter-python>=0.20.4
tree-sitter-java>=0.20.2

# OpenAPI generation
pydantic>=2.5.0
jsonschema>=4.20.0

# FastAPI/Flask detection (for type hints)
typing-extensions>=4.9.0

# VCS integrations
PyGithub>=2.1.1
python-gitlab>=4.4.0

# Testing (dev)
pytest>=7.4.3
pytest-cov>=4.1.0
pytest-mock>=3.12.0

# Code quality (dev)
black>=23.12.0
flake8>=6.1.0
mypy>=1.7.1
isort>=5.13.2
