## code gen

=== code_gen/obj/Makefile ===
# Makefile for release 1.0 of the omega system
# DON'T EDIT -- put any locally required changes in Makefile.config.
# See INSTALL for more details.


LIB=code_gen
LIB_NAME=lib$(LIB).a
TARGET=$(LIB_NAME)

all: $(TARGET)
$(TARGET): .library
install: install_library install_includes
depend: depend_library
clean: clean_self
veryclean: veryclean_self

# Required libraries
REQUIRED=omega

OBJS=CG_stringBuilder.o spmd.o CG_stringRepr.o code_gen.o stmt_builder.o elim.o
SRCS=../src/CG_stringBuilder.c ../src/spmd.c ../src/CG_stringRepr.c ../src/code_gen.c ../src/stmt_builder.c ../src/elim.c

BASEDIR=../..
include $(BASEDIR)/Makefile.rules
