## code v4

=== requirements.txt ===
numpy==2.3.2
matplotlib==3.10.5
pygame==2.6.1
